# 1.27.0[−][src]Function core::arch::x86::_mm_testz_si128

    pub unsafe fn _mm_testz_si128(a: __m128i, mask: __m128i) -> i32

This is supported on x86 and target feature `sse4.1` only.

Tests whether the specified bits in a 128-bit integer vector are all zeros.

Arguments:

- `a` - A 128-bit integer vector containing the bits to be tested.
- `mask` - A 128-bit integer vector selecting which bits to test in operand `a`.

Returns:

- `1` - if the specified bits are all zeros,
- `0` - otherwise.

Intel's documentation